PShape polygon;
Float h[];

void radarMap(List<Integer> Data, int data_left, int data_right, color stroke_c, color fill_c, boolean _polygon){
  x1 = 0;
  y1 = 0;
  x2 = 700;
  y2 = 700;
  wid_circle = 2500;
  hei_circle = 2500;
  //fill(193, 199, 196, 30);
  noFill();
  stroke(255, 255, 255, 50);
  ellipse(x1, y1, wid_circle, hei_circle);
  
  stroke(255, 255, 255, 10);
  line(x1,y1, x1, y1 - hei_circle/2);
  line(x1,y1, x1-(hei_circle/2)*sin(PI/6), y1 - hei_circle/2*cos(PI/6));
  line(x1,y1, x1-(hei_circle/2)*sin(PI/3), y1 - hei_circle/2*cos(PI/3));
  line(x1,y1, x1 - hei_circle/2, y1);
  line(x1,y1, x1-(hei_circle/2)*sin(PI/3), y1 + hei_circle/2*cos(PI/3));
  line(x1,y1, x1-(hei_circle/2)*sin(PI/6), y1 + hei_circle/2*cos(PI/6));
  line(x1,y1, x1, y1 + hei_circle/2);
  line(x1,y1, x1+(hei_circle/2)*sin(PI/6), y1 + hei_circle/2*cos(PI/6));
  line(x1,y1, x1+(hei_circle/2)*sin(PI/3), y1 + hei_circle/2*cos(PI/3));
  line(x1,y1, x1 + hei_circle/2, y1);
  line(x1,y1, x1+(hei_circle/2)*sin(PI/3), y1 - hei_circle/2*cos(PI/3));
  line(x1,y1, x1+(hei_circle/2)*sin(PI/6), y1 - hei_circle/2*cos(PI/6));
  
  
  
  float[] h = new float[12];
  polygon = createShape();
  polygon.beginShape();
  polygon.fill(fill_c);
  polygon.stroke(stroke_c);
  
  int j = 0;
  for( int i = data_left; i <= data_right; i++){
    h[j] = map(Data.get(i), 0, 5000, 0, wid_circle/2);
    //println("h : ", h[j]);
    j ++;
  }
  
  polygon.vertex(x1+(h[0])*sin(PI/6), y1 - h[0]*cos(PI/6));
  polygon.vertex(x1+(h[1])*sin(PI/3), y1 - h[1]*cos(PI/3));
  polygon.vertex(x1 + h[2], y1);
  polygon.vertex(x1+(h[3])*sin(PI/3), y1 + h[3]*cos(PI/3));
  polygon.vertex(x1+(h[4])*sin(PI/6), y1 + h[4]*cos(PI/6));
  polygon.vertex(x1, y1 + h[5]);
  polygon.vertex(x1-(h[6])*sin(PI/6), y1 + h[6]*cos(PI/6)); 
  polygon.vertex(x1-(h[7])*sin(PI/3), y1 + h[7]*cos(PI/3)); 
  polygon.vertex(x1 - h[8], y1 ); 
  polygon.vertex(x1-(h[9])*sin(PI/3), y1 - h[9]*cos(PI/3) ); 
  polygon.vertex(x1-(h[10])*sin(PI/6), y1 - h[10]*cos(PI/6) ); 
  polygon.vertex(x1, y1 - h[11]); 
  polygon.endShape(CLOSE);
  
  if (_polygon){
    shape(polygon, x1, y1);
  }
}
